Revoke a pending share invite
curl --request DELETE \
--url https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId} \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}"
headers = {"cookie": "scribe_session="}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Shares
Revoke a pending share invite
Revokes a pending email share invite, so the share no longer materializes when that email signs up. Requires write access (owner or editor); API keys with edit access act as their agent identity.
DELETE
/
api
/
docs
/
{id}
/
share-invites
/
{inviteId}
Revoke a pending share invite
curl --request DELETE \
--url https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId} \
--cookie scribe_session=import requests
url = "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}"
headers = {"cookie": "scribe_session="}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {cookie: 'scribe_session='}};
fetch('https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_COOKIE => "scribe_session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("cookie", "scribe_session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}")
.header("cookie", "scribe_session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://scribe.skeptrune.com/api/docs/{id}/share-invites/{inviteId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["cookie"] = 'scribe_session='
response = http.request(request)
puts response.read_body{
"ok": true
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}{
"error": {
"code": "not_found",
"message": "No such document."
}
}Authorizations
cookieAuthbearerAuth
Browser session cookie set by the WorkOS sign-in flow.
Path Parameters
Id of the document whose share invite to revoke.
Id of the pending share invite to revoke.
Response
The share invite was revoked.
Generic acknowledgement body for operations with no other payload.
Always true.
Available options:
true Example:
true